/*
 UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 MIAGE - UFR 27
 Cours ISI5 / INF2 - Developpement d'Interface

 */

package ihmexamples;

//javax.swing.* package contains Swing classes
import javax.swing.JFrame;

import java.awt.Frame;

/**
 * application showing a simple frame using Swing
 * @author kirsch
 */
public class SimpleSwingFrame extends JFrame {
public static void main(String[] args)
   {
      SimpleSwingFrame frame = new SimpleSwingFrame();
      frame.setTitle("Swing Frame");
      frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      //frame.show();       //Deprecated
      frame.setVisible(true);

      //comparing with AWT frame
      Frame awtframe = new Frame("AWT Frame");
      awtframe.setSize(WIDTH, HEIGHT);
      //positionning based on swing frame position
      awtframe.setLocation((frame.getX()+WIDTH),
              (frame.getY()+HEIGHT));
      awtframe.setVisible(true);
   }

   public SimpleSwingFrame()
   {
      setSize(WIDTH, HEIGHT);
   }

   public static final int WIDTH = 300;
   public static final int HEIGHT = 200;

}
